Index: /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Holiday.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Holiday.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Holiday.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id: LC_Page_Admin_Basis_Holiday.php 16741 2007-11-08 00:43:24Z adachi $
  */
-class LC_Page_Admin_Basis_Holiday extends LC_Page {
+class LC_Page_Admin_Basis_Holiday extends LC_Page_Admin {
 
     // }}}
@@ -57,5 +57,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
         $objQuery = new SC_Query();
@@ -89,5 +98,5 @@
                 }
                 // 再表示
-                $this->reload();
+                $this->objDisplay->reload();
             } else {
                 // POSTデータを引き継ぐ
@@ -99,5 +108,5 @@
             $objDb->sfDeleteRankRecord("dtb_holiday", "holiday_id", $_POST['holiday_id'], "", true);
             // 再表示
-            $this->reload();
+            $this->objDisplay->reload();
             break;
         // 編集前処理
@@ -116,10 +125,10 @@
             $objDb->sfRankDown("dtb_holiday", "holiday_id", $_POST['holiday_id']);
             // 再表示
-            $this->reload();
+            $this->objDisplay->reload();
             break;
         case 'up':
             $objDb->sfRankUp("dtb_holiday", "holiday_id", $_POST['holiday_id']);
             // 再表示
-            $this->reload();
+            $this->objDisplay->reload();
             break;
         default:
@@ -131,7 +140,4 @@
         $objQuery->setOrder("rank DESC");
         $this->arrHoliday = $objQuery->select("holiday_id, title, month, day", "dtb_holiday", $where);
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Point.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Point.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Point.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Basis_Point extends LC_Page {
+class LC_Page_Admin_Basis_Point extends LC_Page_Admin {
 
     // {{{ properties
@@ -62,5 +62,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
         $objQuery = new SC_Query();
@@ -113,6 +122,4 @@
 
         $this->arrForm = $this->objFormParam->getFormParamList();
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_ZipInstall.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_ZipInstall.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_ZipInstall.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /** CSV ファイルの最大行数 */
@@ -44,5 +44,5 @@
  * @version $Id:LC_Page_Admin_Basis_ZipInstall.php 16741 2007-11-08 00:43:24Z adachi $
  */
-class LC_Page_Admin_Basis_ZipInstall extends LC_Page {
+class LC_Page_Admin_Basis_ZipInstall extends LC_Page_Admin {
 
     /** CSVの行数 */
@@ -80,4 +80,14 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objQuery = new SC_Query();
 
@@ -126,9 +136,4 @@
         $this->tpl_line = $this->countZipCsv();
         $this->tpl_count_mtb_zip = $this->countMtbZip();
-
-        $objView = new SC_AdminView();
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer.php	(revision 18867)
+++ /branches/version-2_5-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Customer extends LC_Page {
+class LC_Page_Admin_Customer extends LC_Page_Admin {
 
     // }}}
@@ -214,4 +214,14 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         //---- ページ初期設定
         $objQuery = new SC_Query();
@@ -383,5 +393,8 @@
                     $data = SC_Utils_Ex::getCSVData($this->search_data, $arrColumn);
 
-                    SC_Utils_Ex::sfCSVDownload($header.$data);
+
+                    // CSVを送信する。
+                    list($fime_name, $data) = SC_Utils_Ex::sfGetCSVData($head.$data);
+                    $this->sendResponseCSV($fime_name, $data);
                     exit;
                     break;
@@ -421,8 +434,4 @@
 
         $this->arrCatList = $objDb->sfGetCategoryList();
-
-        //---- ページ表示
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer_Edit.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer_Edit.php	(revision 18853)
+++ /branches/version-2_5-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer_Edit.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Customer_Edit extends LC_Page {
+class LC_Page_Admin_Customer_Edit extends LC_Page_Admin {
 
     // }}}
@@ -64,5 +64,14 @@
      */
     function process() {
-
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         // 認証可否の判定
         $objSess = new SC_Session();
@@ -70,5 +79,4 @@
 
         $this->objQuery = new SC_Query();
-        $objView = new SC_AdminView();
         $objDb = new SC_Helper_DB_Ex();
         $objDate = new SC_Date(1901);
@@ -197,8 +205,4 @@
             }
         }
-
-        //----　ページ表示
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer_SearchCustomer.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer_SearchCustomer.php	(revision 18853)
+++ /branches/version-2_5-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer_SearchCustomer.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Customer_SearchCustomer extends LC_Page
-{
+class LC_Page_Admin_Customer_SearchCustomer extends LC_Page_Admin {
 
     // }}}
@@ -55,11 +54,19 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         // 認証可否の判定
         $objSess = new SC_Session();
         SC_Utils_Ex::sfIsSuccess($objSess);
 
-        $objView = new SC_AdminView();
         // POSTのモードがsearchなら顧客検索開始
         if($_POST['mode'] == 'search'){
@@ -155,8 +162,5 @@
 
         }
-        // 画面の表示
         $this->arrForm = $arrForm;
-        $objView->assignobj($this);
-        $objView->display($this->tpl_mainpage);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_TrackbackEdit.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_TrackbackEdit.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_TrackbackEdit.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Products_TrackbackEdit extends LC_Page {
+class LC_Page_Admin_Products_TrackbackEdit extends LC_Page_Admin {
 
     // }}}
@@ -57,5 +57,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
         $objQuery = new SC_Query();
@@ -115,7 +124,4 @@
             break;
         }
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductRank.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductRank.php	(revision 18815)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductRank.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Products_ProductRank extends LC_Page {
+class LC_Page_Admin_Products_ProductRank extends LC_Page_Admin {
 
     // }}}
@@ -57,6 +57,15 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objQuery = new SC_Query();
-        $objView = new SC_AdminView();
         $objSess = new SC_Session();
         $objDb = new SC_Helper_DB_Ex();
@@ -123,7 +132,4 @@
         $this->arrProductsList =
             $this->lfGetProduct($this->arrForm['parent_category_id']);
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Products_Category extends LC_Page {
+class LC_Page_Admin_Products_Category extends LC_Page_Admin {
 
     // {{{ properties
@@ -63,5 +63,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
         $objDb = new SC_Helper_DB_Ex();
@@ -244,7 +253,4 @@
         $this->arrList = $this->lfGetCat($this->arrForm['parent_category_id']);
         $this->arrTree = $objDb->sfGetCatTree($this->arrForm['parent_category_id']);
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSVCategory.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSVCategory.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSVCategory.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -34,5 +34,5 @@
  * @version $$Id$$
  */
-class LC_Page_Admin_Products_UploadCSVCategory extends LC_Page {
+class LC_Page_Admin_Products_UploadCSVCategory extends LC_Page_Admin {
 
     // }}}
@@ -59,5 +59,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
         $objDb = new SC_Helper_DB_Ex();
@@ -195,7 +204,4 @@
                 break;
         }
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Maker.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Maker.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Maker.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id: LC_Page_Admin_Products_Maker.php 16741 2007-11-08 00:43:24Z adachi $
  */
-class LC_Page_Admin_Products_Maker extends LC_Page {
+class LC_Page_Admin_Products_Maker extends LC_Page_Admin {
 
     // }}}
@@ -57,5 +57,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
         $objQuery = new SC_Query();
@@ -85,5 +94,5 @@
                 }
                 // 再表示
-                $this->reload();
+                $this->objDisplay->reload();
             } else {
                 // POSTデータを引き継ぐ
@@ -95,5 +104,5 @@
             $objDb->sfDeleteRankRecord("dtb_maker", "maker_id", $_POST['maker_id'], "", true);
             // 再表示
-            $this->reload();
+            $this->objDisplay->reload();
             break;
         // 編集前処理
@@ -110,10 +119,10 @@
             $objDb->sfRankDown("dtb_maker", "maker_id", $_POST['maker_id']);
             // 再表示
-            $this->reload();
+            $this->objDisplay->reload();
             break;
         case 'up':
             $objDb->sfRankUp("dtb_maker", "maker_id", $_POST['maker_id']);
             // 再表示
-            $this->reload();
+            $this->objDisplay->reload();
             break;
         default:
@@ -125,7 +134,4 @@
         $objQuery->setOrder("rank DESC");
         $this->arrMaker = $objQuery->select("maker_id, name", "dtb_maker", $where);
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products.php	(revision 19628)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id:LC_Page_Admin_Products.php 15532 2007-08-31 14:39:46Z nanasess $
  */
-class LC_Page_Admin_Products extends LC_Page {
+class LC_Page_Admin_Products extends LC_Page_Admin {
 
     // }}}
@@ -64,5 +64,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objDb = new SC_Helper_DB_Ex();
         $objDate = new SC_Date();
@@ -241,5 +250,7 @@
 
                         // CSVを送信する。正常終了の場合、終了。
-                        $objCSV->sfDownloadProductsCsv($where, $arrval, $order) && exit;
+                        list($fime_name, $data) = $objCSV->sfDownloadProductsCsv($where, $arrval, $order);
+                        $this->sendResponseCSV($fime_name, $data);
+                        exit;
                         break;
                     case 'delete_all':
@@ -308,8 +319,4 @@
         list($this->arrCatKey, $this->arrCatVal) = $objDb->sfGetLevelCatList(false);
         $this->arrCatList = $this->lfGetIDName($this->arrCatKey, $this->arrCatVal);
-
-        // 画面の表示
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 18882)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Products_Product extends LC_Page {
+class LC_Page_Admin_Products_Product extends LC_Page_Admin {
 
     // {{{ properties
@@ -83,5 +83,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSiteInfo = new SC_SiteInfo();
         $objQuery = new SC_Query();
@@ -266,6 +275,4 @@
         // サブ情報表示・非表示のチェックに使用する。
         $this->sub_find = $sub_find;
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductSelect.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductSelect.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductSelect.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Products_ProductSelect extends LC_Page {
+class LC_Page_Admin_Products_ProductSelect extends LC_Page_Admin {
 
     // }}}
@@ -58,5 +58,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
         $objDb = new SC_Helper_DB_Ex();
@@ -138,8 +147,4 @@
         // カテゴリ取得
         $this->arrCatList = $objDb->sfGetCategoryList();
-
-        //---- ページ表示
-        $objView->assignobj($this);
-        $objView->display($this->tpl_mainpage);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 18876)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -34,5 +34,5 @@
  * FIXME 同一商品IDで商品規格違いを登録できない。(更新は可能)
  */
-class LC_Page_Admin_Products_UploadCSV extends LC_Page {
+class LC_Page_Admin_Products_UploadCSV extends LC_Page_Admin {
 
     // }}}
@@ -65,7 +65,17 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
         $objDb = new SC_Helper_DB_Ex();
+        $objView = new SC_SiteView();
 
         // 認証可否の判定
@@ -205,15 +215,11 @@
             flush();
 
-            $objView->assignobj($this);
-            $objView->display('admin_popup_footer.tpl');
-
-            exit;
+            $this->setTemplate('admin_popup_footer.tpl');
+
+            return;
             break;
         default:
             break;
         }
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Review.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Review.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Review.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_CSV_Ex.php");
 
@@ -33,5 +33,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Products_Review extends LC_Page {
+class LC_Page_Admin_Products_Review extends LC_Page_Admin {
 
     // }}}
@@ -64,5 +64,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
         $objDate = new SC_Date();
@@ -260,7 +269,4 @@
             }
         }
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ClassCategory.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ClassCategory.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ClassCategory.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id:LC_Page_Admin_Products_ClassCategory.php 15532 2007-08-31 14:39:46Z nanasess $
  */
-class LC_Page_Admin_Products_ClassCategory extends LC_Page {
+class LC_Page_Admin_Products_ClassCategory extends LC_Page_Admin {
 
     // }}}
@@ -57,5 +57,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objQuery = new SC_Query();
         $objDb = new SC_Helper_DB_Ex();
@@ -80,5 +89,5 @@
         if(!$get_check) {
             // 規格登録ページに飛ばす。
-            $this->sendRedirect($this->getLocation(URL_CLASS_REGIST));
+            $this->objDisplay->redirect($this->getLocation(URL_CLASS_REGIST));
             exit;
         }
@@ -109,5 +118,5 @@
                 }
                 // 再表示
-                $this->reload($_GET['class_id']);
+                $this->objDisplay->reload($_GET['class_id']);
                 //sfReload("class_id=" . $_GET['class_id']);
             } else {
@@ -148,8 +157,4 @@
         $objQuery->setOrder("rank DESC");
         $this->arrClassCat = $objQuery->select("name, classcategory_id", "dtb_classcategory", $where, array($_GET['class_id']));
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
-
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Class.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Class.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Class.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Products_Class extends LC_Page {
+class LC_Page_Admin_Products_Class extends LC_Page_Admin {
 
     // }}}
@@ -57,5 +57,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
         $objQuery = new SC_Query();
@@ -84,5 +93,5 @@
                 }
                 // 再表示
-                $this->reload();
+                $this->objDisplay->reload();
             } else {
                 // POSTデータを引き継ぐ
@@ -96,5 +105,5 @@
             $objQuery->delete("dtb_classcategory", "class_id = ?", $_POST['class_id']);
             // 再表示
-            $this->reload();
+            $this->objDisplay->reload();
             break;
             // 編集前処理
@@ -111,10 +120,10 @@
             $objDb->sfRankDown("dtb_class", "class_id", $_POST['class_id']);
             // 再表示
-            $this->reload();
+            $this->objDisplay->reload();
             break;
         case 'up':
             $objDb->sfRankUp("dtb_class", "class_id", $_POST['class_id']);
             // 再表示
-            $this->reload();
+            $this->objDisplay->reload();
             break;
         default:
@@ -127,7 +136,4 @@
         $this->arrClass = $objQuery->select("name, class_id", "dtb_class", $where);
         $this->arrClassCatCount = SC_Utils_Ex::sfGetClassCatCount();
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Trackback.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Trackback.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Trackback.php	(revision 19661)
@@ -22,5 +22,5 @@
  */
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_CSV_Ex.php");
 
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Products_Trackback extends LC_Page {
+class LC_Page_Admin_Products_Trackback extends LC_Page_Admin {
 
     // }}}
@@ -62,5 +62,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
         $objDate = new SC_Date();
@@ -237,7 +246,4 @@
             }
         }
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php	(revision 18882)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Products_ProductClass extends LC_Page {
+class LC_Page_Admin_Products_ProductClass extends LC_Page_Admin {
 
     // }}}
@@ -65,5 +65,20 @@
     }
 
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $this->authorization();
 
@@ -172,5 +187,4 @@
         $this->arrClass = $this->getAllClass();
         $this->arrForm['product_name'] = $this->getProductName($_POST['product_id']);
-        $this->assignView();
     }
 
@@ -600,13 +614,4 @@
         SC_Utils_Ex::sfIsSuccess(new SC_Session());
     }
-
-    /**
-     * @access private
-     */
-    function assignView() {
-        $objView = new SC_AdminView();
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
-    }
 }
 ?>
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ReviewEdit.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ReviewEdit.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ReviewEdit.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Products_ReviewEdit extends LC_Page {
+class LC_Page_Admin_Products_ReviewEdit extends LC_Page_Admin {
 
     // }}}
@@ -61,5 +61,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
         $this->objQuery = new SC_Query();
@@ -118,7 +127,4 @@
                 break;
         }
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
